import { OnInit, EventEmitter, SimpleChanges, OnChanges, ElementRef } from '@angular/core';
import { DatePickerComponent } from 'ng2-date-picker';
import moment from 'moment/moment';
import { FrequencyService } from '../frequency.service';
import * as i0 from "@angular/core";
export declare class FrequencyLifecycleComponent implements OnInit, OnChanges {
    private frequencyService;
    startDatePicker: DatePickerComponent;
    endDatePicker: DatePickerComponent;
    datePickerOverlay: boolean;
    showDateError: boolean;
    startDateUnix: number;
    endDateObject: any;
    startDateConfig: any;
    endDateConfig: any;
    textDetails: any;
    selectedEndDate: any;
    startDate: Date;
    endDate: moment.Moment;
    endBy: any;
    occurrance: number;
    selectedLifecycleType: number;
    id: number;
    mode: any;
    selectedOccurance: EventEmitter<any>;
    startDatePickerPopup: ElementRef;
    endDatePickerPopup: ElementRef;
    openedDatePicker: string;
    constructor(frequencyService: FrequencyService);
    ngOnInit(): void;
    getEndDate(event: any): void;
    changeEndDateObj(date: any): void;
    ngOnChanges(change: SimpleChanges): void;
    openDatePicker(): void;
    openDatePicker1(): void;
    closeDatepicker(): void;
    typeSelected(event: any): number;
    endsAfter(event: any): number;
    endByChange(event: any): void;
    startFromChange(event: any): void;
    documentClick(event: any): void;
    documentClickListener(target: any, openedElements: ElementRef, selectedDatePicker: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FrequencyLifecycleComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FrequencyLifecycleComponent, "app-frequency-lifecycle", never, { "startDate": { "alias": "startDate"; "required": false; }; "endDate": { "alias": "endDate"; "required": false; }; "endBy": { "alias": "endBy"; "required": false; }; "occurrance": { "alias": "occurrance"; "required": false; }; "selectedLifecycleType": { "alias": "selectedLifecycleType"; "required": false; }; "id": { "alias": "id"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; }, { "selectedOccurance": "selectedOccurance"; }, never, never, false, never>;
}
